# coding: utf-8

"""
    openapi 3.0.3 sample spec

    sample spec for testing openapi functionality, built from json schema tests for draft6  # noqa: E501

    The version of the OpenAPI document: 0.0.1
    Generated by: https://openapi-generator.tech
"""

import unittest

import unit_test_api
from unit_test_api.model.maxlength_validation import MaxlengthValidation
from unit_test_api import configuration


class TestMaxlengthValidation(unittest.TestCase):
    """MaxlengthValidation unit test stubs"""
    _configuration = configuration.Configuration()

    def test_too_long_is_invalid_fails(self):
        # too long is invalid
        with self.assertRaises((unit_test_api.ApiValueError, unit_test_api.ApiTypeError)):
            MaxlengthValidation._from_openapi_data(
                "foo",
                _configuration=self._configuration
            )

    def test_ignores_non_strings_passes(self):
        # ignores non-strings
        MaxlengthValidation._from_openapi_data(
            100,
            _configuration=self._configuration
        )

    def test_shorter_is_valid_passes(self):
        # shorter is valid
        MaxlengthValidation._from_openapi_data(
            "f",
            _configuration=self._configuration
        )

    def test_two_supplementary_unicode_code_points_is_long_enough_passes(self):
        # two supplementary Unicode code points is long enough
        MaxlengthValidation._from_openapi_data(
            "💩💩",
            _configuration=self._configuration
        )

    def test_exact_length_is_valid_passes(self):
        # exact length is valid
        MaxlengthValidation._from_openapi_data(
            "fo",
            _configuration=self._configuration
        )


if __name__ == '__main__':
    unittest.main()
